"use client";

import { RequireRole } from "@/components/dashboard/require-role";

export default function MagazineLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <RequireRole roles={["admin"]} permissions={["create-article", "edit-article", "publish-article"]} redirectTo="/dashboard">
      {children}
    </RequireRole>
  );
}
